Supported Internet Browsers

Browser Compatibility (System Requirements)

ProDemand / ShopkeyPro

• Google Chrome (recommended)

• FireFox Mozilla

• Microsoft Internet Explorer 11

More information here: https://www.mitchell1.com/shopconnection/2015/02/25/answers-to-your-most-frequently-asked-questions-about-internet-browsers/

 

Truck Series

• Google Chrome (recommended)

• Mozilla Firefox

• Microsoft Internet Explorer 11 – Lower versions will suppress Repair Module

More information here: https://www.mitchell1.com/shopconnection/TruckSeries-GSG/

 

Legacy Products only work with Microsoft Internet Explorer (version 11 required)

 

 

 


  • If you'd like to send this article for review later or easy access please enter email address below.

Related Articles

Need Support?
Can’t find the answer you’re looking for? Don’t worry we’re here to help!
Contact Support